<script lang="ts">
  import AdminLayout from '$lib/components/layouts/AdminLayout.svelte';
  import Search from '$lib/components/Search.svelte';
  import Button from '$lib/components/Button.svelte';
  import type { PageData } from './$types';
  import ProjectItem from '$lib/components/Items/ProjectItem.svelte';
  import { axiosInstance } from '$lib/config';

  export let data: PageData;

  let projects = data?.project.data;

  async function handleSearch(event: any) {
    const res = await axiosInstance.get('/project', { params: { ...(event.detail && { name: event.detail }) } });

    projects = res.data.data;
  }
</script>

<svelte:head>
    <title>Проекты</title>
</svelte:head>

<AdminLayout>
    <header class="mt-8 mr-8 flex justify-end gap-6">
        <Search on:search={handleSearch}/>
        <a href="/admin/projects/create">
            <Button class="h-full">Создать</Button>
        </a>
    </header>
    <section class="pr-8 space-y-6">
        {#each projects as { id, name, deletedAt }}
            {#if !deletedAt}
                <ProjectItem
                    {id}
                    {name}
                />
            {/if}
        {/each}
    </section>
</AdminLayout>